Ubuntu: HP Smart Array Controller Status

The HP Smart Array Controller series which can be found in most HP Servers today is supported by the Linux Kernel driver hpsa. The utility hpacucli helps to communicate with the Controller. But this utility flaws native 3.x Kernel support in Ubuntu 12.04 (Precise Penguin). The command ctrl all show doesn’t show any controllers:

=> ctrl all show

Error: No controllers detected.

The command setarch helps to work around this by causing the programm to see a kernel version number beginning with 2.6:

sudo setarch x86_64 --uname-2.6 hpacucli
=> ctrl all show

Smart Array P410i in Slot 0 (Embedded) (sn: 500xxxxxx)

See also Ubuntu Bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/890768.

Leave a Comment


NOTE - You can use these HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>